package ch.elca.el4j.services.xmlmerge.action;


import org.jdom.Element;
import org.jdom.Namespace;

import java.util.HashMap;
import java.util.Map;


/**
 * Base action class to support namespaces
 *
 * @author josegar74
 * 
 */
public abstract class BaseAction {

    protected Map<String, Namespace> namespaces = new HashMap<String, Namespace>();

    public void setNamespaces(Map<String, Namespace> namespaces) {
        this.namespaces = namespaces;
    }

    /**
     * Fixes the namespace for a patch element using the namespace related in original element
     *
     * @param patchElement
     */
    protected void fixNamespaceForPatchElement(Element patchElement) {
        if (patchElement.getNamespaceURI() != null) {
            Namespace namespaceToSet = namespaces.get(patchElement.getNamespaceURI());

            if (namespaceToSet != null) {
                patchElement.setNamespace(namespaceToSet);
            }
        }
    }
}
