function out = encode_pixels(in,type)
%ENCODE_PIXELS Base64-encoding of a pixel (matrix)
%   ENCODE_PIXELS(IN,TYPE) returns the base64-encoding of the matrix IN,
%   where IN is either processed as-is (TYPE = 'real') or converted to a
%   concatenation of real and imaginary parts (TYPE = 'complex') before 
%   encoding.


% Convert pixel matrix to vector and base64encode this vector
in = in';
 % Pure real-valued pixel data
    if strcmp(type,'real')
        in = in(:);
    % Complex pixel data
    elseif strcmp(type,'complex')
        in = [real(in(:));imag(in(:))];
    % Unknow pixel data type
    else
        me = MException('spm:spm_write:unknown_pixel_type', ...
                               'Unknown pixel type.');
        throw(me);
    end

in = single(in);
[~,~,endian] = computer;
if endian == 'B'
    in = swapbytes(in);
end
in = typecast(single(in),'uint8');
out = base64encode(in);

end

