function val = extract_tag_value(strArray, type) %#codegen
%extract_tag_value Helper function for read_sxm to extract the value of a tag from a string
%   extract_tag_value(STRING, TYPE) extract a tag value of type TYPE ('string' 
%   or 'number') from the character array STRARRAY.
string = reshape(strArray', size(strArray, 1)*size(strArray, 2), 1);

if isequal(type, 'string')
     val = deblank(strArray);
elseif isequal(type, 'number')
     valvect = sscanf(string, '%f');
     if isempty(valvect)
         val = [];
         disp 'Warning: string does not seem to contain numbers.'
     elseif mod(length(valvect), size(strArray, 1)) == 0
         val = reshape(valvect, length(valvect)/size(strArray, 1), ...
             size(strArray, 1));
         val = val';
     else
         val = [];
         disp 'Warning: Dimensions do not match! Returning empty matrix.';
     end
else
    val = [];
    disp 'Warning: Type should equal 'number' or 'string'.'
    disp('Returning empty matrix.');
end
        
end

