function [hor_axis, vert_axis, hor_param, vert_param] = ...
    get_axes_and_params(channel)
% GET_AXES_AND_PARAMS Helper function for spm_display to get axes and 
% parameters.
%   [HOR_AXIS, VERT_AXIS, HOR_PARAM, VERT_PARAM] = GET_AXES_AND_PARAMS(
%   CHANNEL) returns the horizontal and vertical axes of the channel 
%   CHANNEL and the first parameters defining these axes.

% Search for horizontal axis 
hor_axis = channel.axis(1);
  
% Search for vertical axis 
if length(channel.axis) > 1
    vert_axis = channel.axis(2);
else
    vert_axis = struct([]);
end

% Get first parameter of horizontal axis
hor_param = channel.parameter(channel.axis(1).variable(1).ref_index);

% Get first parameter of vertical axis (if applicable)
if ~isempty(vert_axis)
    vert_param = channel.parameter(channel.axis(2).variable(1).ref_index);
else
    vert_param = struct([]);
end

end

