function image_channel_flag = is_image_channel(object, domain)
%IS_IMAGE_CHANNEL Check if something is a non-empty image channel.
%   IS_IMAGE_CHANNEL(OBJECT, DOMAIN) returns true if OBJECT is a non-empty
%   image channel with domain type DOMAIN.

image_channel_flag = ...
    is_channel(object) && ...
    strcmp(object.type,'imageScan') && ...
    strcmp(object.pixel_domain, domain) && ...
    ~isempty(object.pixels);

end

