function vectstr = mat2vectstr(mat)
%MAT2VECTSTR Conversion of a matrix to a verctor string
%    MAT2VECTSTR(MAT) prints the matrix MAT as a vector string. MAT is
%    converted to a column verctor before printing .

% Check input
try
    parser = inputParser;
    parser.addRequired('mat', @ismatrix);
catch error
    me = MException('spm:mat2vectstr:input_error', ...
        'Invalid input: %s', error.message);
    throw(me);
end

%Construct vector string
mat = mat(:);
vectstr = mat2str(mat);
vectstr = strrep(vectstr,' ','');
vectstr = strrep(vectstr,'''','');
vectstr = strrep(vectstr,';',', ');
vectstr = ['(', vectstr(2:end-1), ')'];
end

