function remove_all_attributes(element)
% REMOVE_ALL_ATTRIBUTES Removal of all attributes from a DOM element
%   REMOVE_ALL_ATTRIBUTES(ELEMENT) performs an in situ removal of the
%   attributes of the DOM element ELEMENT.

% Check whether argument is a DOM element
if (~isa(element, 'org.w3c.dom.Element'))
     ME = MException('spm:remove_all_attribures:invalid_element', ...
                           'First argument should be a DOM element');
     throw(ME);
end
attributes = element.getAttributes();
names = cell(1,attributes.getLength());
for i=0:attributes.getLength()-1
names{i + 1} = attributes.item(i).getNodeName();
end
for i=1:length(names)
      attributes.removeNamedItem(names{i});
end

end

