function xslt_compile(input, output)
%XSLT_COMPILE Stylesheet compilation
%   XSLT_COMPILE(INPUT, OUTPUT) compiles the stylesheet INPUT using the
%   Saxon compiler and writes the result to OUTPUT.

prop=java.lang.System.getProperties;
old_prop = prop.get('javax.xml.transform.TransformerFactory');
factory = 'net.sf.saxon.TransformerFactoryImpl';
prop.put('javax.xml.transform.TransformerFactory', factory);
xslt_source = javax.xml.transform.stream.StreamSource(input);
trans_fact = javax.xml.transform.TransformerFactory.newInstance( );
templates = trans_fact.newTemplates(xslt_source);
templates.setTargetNamePool(templates.getConfiguration().getNamePool());
file_output_stream = java.io.FileOutputStream(output);
obj_output_stream = java.io.ObjectOutputStream(file_output_stream);
obj_output_stream.writeObject(templates);
obj_output_stream.close();
clear file_output_stream;
prop.put('javax.xml.transform.TransformerFactory', old_prop);

end

